package com.izouma.uwip.enums;

/*
国家申请流程
 */
public enum CountryWorkflow {
    APPLY_TRANSLATION("待申请翻译文稿"),
    TRANSLATION_DOCUMENTS("待上传翻译文稿"),
    FINALIZED_TRANSLATION("待上传翻译定稿"),
    ADD_SUPPLIERS("待添加供应商"),
    SUPPLIER_MATERIALS("待提交供应商材料"),
    MAINTAIN_CASE("待维护案件信息"),
    REPLY_NOTIFICATION("待上传答复通知"),
    DETERMINED_REPLY("待确定答复意向"),
    UPLOADED_REPLY("待上传答复意见书"),
    RESPONSE_RESULT("待确定答复结果"),
    AUTHORIZE_REGISTER("授权办登"),
    AUTHORIZATION_INFORMATION("待维护授权信息"),
    COMPLETED("已完成"),
    ;

    private final String description;

    public String getDescription() {
        return description;
    }

    CountryWorkflow(String description) {
        this.description = description;
    }
}
